<script lang="ts">
import Vue from 'vue';
import { IsMobileMixin } from '../../../mixins';

export default Vue.extend({
  name: 'AnalyticsInsightsFeatured',
  mixins: [IsMobileMixin],
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mt-48 slp-my-md-96">
    <SlpTypography
      v-if="!isMobile"
      class="slp-mb-24"
      tag="h3"
      variant="heading3-bold"
      >{{ data.title }}</SlpTypography
    >
    <div
      v-for="(card, index) in data.cards"
      :key="index"
      class="card slp-mb-32"
    >
      <SlpTypography class="slp-mb-32" tag="h4" variant="heading4-bold">{{
        card.title
      }}</SlpTypography>
      <div v-for="(row, idx) in card.rows" :key="idx" class="row">
        <SlpIcon
          class="slp-mr-16 slp-mb-16"
          :name="`${row.icon.name}`"
          :variant="row.icon.variant || 'marketing'"
          size="md"
        />
        <div class="slp-mb-32">
          <SlpTypography class="slp-mb-8" tag="h5" variant="heading5-bold">{{
            row.title
          }}</SlpTypography>
          <SlpTypography tag="div" variant="body1"
            ><span v-html="$md.render(row.text)"></span
          ></SlpTypography>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.card {
  border-radius: 8px;
  background: $color-surface-800;
  padding: $spacing-24 $spacing-16;

  @media (min-width: $breakpoint-lg) {
    padding: $spacing-48 $spacing-64;
  }

  .row {
    @media (min-width: $breakpoint-lg) {
      display: flex;
      align-items: flex-start;
    }
  }
}
</style>
